-- Mighty Experience Bar
-- The MIT License © 2021 Andy Whiteman
-- The MIT License © 2019 Arthur Corenzan
-- FreeBSD License © 2014 Kevin Douglas

local NAMESPACE = "MightyExperienceBar"

local settings = {}

local panel =
{
    type = "panel",
    name = "Mighty Experience Bar",
    displayName = "Mighty Experience Bar",
    author = "MightyWrath",
    version = "1.0.0",
	website	= nil,
}

local options =
{
    {
        type = "dropdown",
        name = "Visibility",
        tooltip = "Controls the visibility of the Experience Bar. When set to automatic the Experience Bar will only appear in useful situations like when you level up or in the inventory screen.",
--        choices = {"Automatic", "Always Show", "Always Hide"},
		choices = {"Automatic", "Always Show"},
        getFunc = function() return settings.visibility end,
        setFunc = function(value) settings.visibility = value end,
        -- requiresReload = true,
    },
}

CALLBACK_MANAGER:RegisterCallback(NAMESPACE.."_OnAddOnLoaded", function(savedVars)
    settings = savedVars

    local LAM = LibAddonMenu2
    LAM:RegisterAddonPanel(NAMESPACE, panel)
    LAM:RegisterOptionControls(NAMESPACE, options)
end)
